Search documentation of Localize

# Localize.Message.Print (Localize v0.39.0)

Copy Markdown View Source

Converts a MessageFormat 2 AST back to its canonical string form.

Used by `Localize.Message.canonical_message/2`.

## Summary

### Functions

to_string(ast, options \\ [])

Converts a parsed MF2 AST back to a canonical message string.

## Functions

# to_string(ast, options \\ [])

    @spec to_string(list() | tuple(), Keyword.t()) :: String.t()

Converts a parsed MF2 AST back to a canonical message string.

### Arguments

- `ast` is a parsed MF2 message AST as returned by `Localize.Message.Parser.parse/1`.

- `options` is a keyword list of options (currently unused but reserved for future use).

### Returns

- A canonical message string.